Kerbal Space Program - Bug #5250

Wasted ore when drill rate > conversion rate and ore tank full (timewarp independent)
07/20/2015 02:21 PM - joonhon

Status: Closed Start date: 07/20/2015
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.04 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

When the ore tanks are full and your craft is drilling and converting (via ISRU) at the same time, the drilling proceeds at the maximum
rate, even though the utilization of ore may be slower than the extraction of ore. The excess ore is not stored and is simply wasted.
This can become a big problem when mining asteroids due to their finite ore. This issue is independent of time warp.

To reproduce:
1) A full fledged mining rig that contains:
- A 'Drill-O-Matic' Mining Extractor
- An ISRU Converter
- Sufficient electricity generation for drill and ISRU
- An engine of some sort helps but is not necessary
- The Klaw (for attaching to asteroid)
- Sufficient ore and fuel capacity
2) Position and attach to an asteroid
3) Deploy drill and start mining until max ore tank (drill will stop automatically, no issues up to this point)
4) Save at this point. Record the ore left on the asteroid.
5) Start converting with ISRU. (Note: ISRU rate must be slower than drill rate)
6) Record final ore left on asteroid when fuel and ore tanks are full.
7) Go back to save point. Switch off drill, then start ISRU.
) When fuel capacity is full, turn off ISRU and start drilling until full ore capacity.
)

8
9) Record and compare both final asteroid ore amount.

History

#2 - 07/27/2015 05:58 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#3 - 07/17/2016 09:34 AM - TriggerAu

- Status changed from New to Needs Clarification

#4 - 07/18/2016 04:20 PM - Alchemist
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

This seems to be not the case anymore. The resource depletion on the asteroid now is linked to the actual ore stored/procesed.
However, the asteroid drill still reports 100% load and seems to produce full amount of waste heat despite actual resource production being slower or
even O (if ISRU is off). Surface mining doesn't have this issue.

#5 - 07/19/2016 08:39 AM - TriggerAu

- Status changed from Resolved to Closed

Thanks again Alchemist
